Mailinglist Archive: opensuse-buildservice (177 mails)

< Previous Next >
Re: [opensuse-buildservice] Possibility to pick OBS workers with specific hardware requirements
  • From: Brüns, Stefan <Stefan.Bruens@xxxxxxxxxxxxxx>
  • Date: Mon, 12 Dec 2016 12:51:31 +0000
  • Message-id: <1699417.tTzrY73sZ7@sbruens-linux>
On Montag, 12. Dezember 2016 08:58:12 CET Andreas Baumann wrote:
Hi,


In the following project the cmake script probes for SSSE3 support in
the compiler and refuses to build:

[ 297s] -- Performing Test HAVE_SSSE3 - Failed
[ 297s] CMake Error at 3rdParty/hyperscan/cmake/arch.cmake:23
(message):
[ 297s] A minimum of SSSE3 compiler support is required
[ 297s] Call Stack (most recent call first):
[ 297s] 3rdParty/hyperscan/CMakeLists.txt:248 (include)

The build randomly fails on some workers, works on others:

*Compiler* support for SSSE3 (or any other CPU feature) is worker independent.
Maybe Debian 8.0 lacks the specific compiler support.

The bundled hyperscan requires SSSE3 (and optionally uses AVX2).

Anyway, the resulting package will not run reliably on either i586 or x86_64,
as the resulting binary will try to execute SSSE3 instructions independent of
the current CPU. SSSE3 is available on most x86_64 CPUs, but not all.

strus should use a runtime switch to select the best usable implementation,
and fall back to a portable implementation otherwise. Crashing is not an
option.

Kind regards,

Stefan



--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References